
Ruby - Feature #6569

[PATCH] Add HTTP status codes defined in RFCs 2295, 2817, 2774, 4918  and 5842

06/10/2012 07:14 PM - knu (Akinori MUSHA)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.0.0   

Description

Currently Net::HTTP and WEBrick define status codes from RFC 2616 and 6585 but there are many others defined in RFCs besides

them.

Most of these are actually used in real world applications, not to mention Rails.

Associated revisions

Revision 3703619ed970c5ebcf2ec7b2d8a848fa5550dcea - 06/13/2012 03:20 PM - Akinori MUSHA 

lib/net/http/responses.rb, lib/webrick/httpstatus.rb: Add HTTP

response codes added in RFCs 2817 and 4918.  [ruby-core:45547]

[Feature #6569]

lib/net/http/responses.rb: Rename Net::HTTPMultipleChoice to

Net::HTTPMultipleChoices, leaving the former as alias to the

latter for backward compatibitily.  [ruby-core:45547]

[Feature #6569]

lib/net/http/responses.rb: Add comments about unused,

still-in-draft and private extension response codes.

[ruby-core:45547] [Feature #6569]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36068 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3703619e - 06/13/2012 03:20 PM - Akinori MUSHA 

lib/net/http/responses.rb, lib/webrick/httpstatus.rb: Add HTTP

response codes added in RFCs 2817 and 4918.  [ruby-core:45547]

[Feature #6569]

lib/net/http/responses.rb: Rename Net::HTTPMultipleChoice to

Net::HTTPMultipleChoices, leaving the former as alias to the

latter for backward compatibitily.  [ruby-core:45547]

[Feature #6569]

lib/net/http/responses.rb: Add comments about unused,

still-in-draft and private extension response codes.

[ruby-core:45547] [Feature #6569]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@36068 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/10/2012 07:18 PM - knu (Akinori MUSHA)

- File deleted (0001-lib-net-http-responses.rb-lib-webrick-httpstatus.rb-.patch)

#2 - 06/10/2012 07:18 PM - knu (Akinori MUSHA)

- File 0001-lib-net-http-responses.rb-lib-webrick-httpstatus.rb-.patch added

#3 - 06/10/2012 10:42 PM - naruse (Yui NARUSE)
- Status changed from Open to Feedback

- Assignee set to naruse (Yui NARUSE)

I agree about 2817 and 4918, but others are experimental.

Could you show real applications which use such experimental RFCs?

#4 - 06/12/2012 01:06 AM - knu (Akinori MUSHA)

Because you say so, I'll keep 208, 506, 508 and 510 unadded until I get a proof.

Among the uncertain four, I've observed 510 responses returned from some local (Japanese) hosting services, but I'm not sure if they are generated

by a widely distributed server/middleware or from the companies' in-house software.

Just for the record, status codes 506 and 510 are listed in Apache's http_protocol.c, while 208 is unlisted and 508 is marked as unused.

#5 - 06/12/2012 01:15 AM - knu (Akinori MUSHA)

- File 0001-lib-net-http-responses.rb-lib-webrick-httpstatus.rb-.patch added

#6 - 06/12/2012 01:15 AM - knu (Akinori MUSHA)

- File deleted (0001-lib-net-http-responses.rb-lib-webrick-httpstatus.rb-.patch)

#7 - 06/14/2012 12:20 AM - knu (Akinori MUSHA)

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r36068.

Akinori, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/net/http/responses.rb, lib/webrick/httpstatus.rb: Add HTTP

response codes added in RFCs 2817 and 4918.  [ruby-core:45547]

[Feature #6569]

lib/net/http/responses.rb: Rename Net::HTTPMultipleChoice to

Net::HTTPMultipleChoices, leaving the former as alias to the

latter for backward compatibitily.  [ruby-core:45547]

[Feature #6569]

lib/net/http/responses.rb: Add comments about unused,

still-in-draft and private extension response codes.

[ruby-core:45547] [Feature #6569]

Files

0001-lib-net-http-responses.rb-lib-webrick-httpstatus.rb-.patch 8.25 KB 06/12/2012 knu (Akinori MUSHA)
